Subject: Re: linux-next: build failure after merge of the arm-current tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 10 Apr 2015 18:08:41 +1000

Hi Russell,

On Fri, 10 Apr 2015 08:28:31 +0100 Russell King - ARM Linux <[email-masked]> wrote:
>
> On Fri, Apr 10, 2015 at 10:29:33AM +1000, Stephen Rothwell wrote:
> > 
> > After merging the arm-current tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > arch/arm/mm/proc-v7.S: Assembler messages:
> > arch/arm/mm/proc-v7.S:535: Error: invalid operands (*ABS* and .text sections) for `|'
> > arch/arm/mm/proc-v7.S:535: Error: invalid operands (*ABS* and .text sections) for `|'
> > 
> > Caused by commit f2fd12256533 ("ARM: proc-v7: avoid errata 430973
> > workaround for non-Cortex A8 CPUs").
> > 
> > I have reverted that commit for today.
> 
> The ARM autobuilders built the tree I pushed out with no problems.  The
> commit itself isn't quite correct, but the merge head of the for-next
> branch /is/ correct.  I've now fixed that, but I don't see why you would
> have hit this.

Could it have been tool chain specific?  We are running

arm-unknown-linux-gnueabi-gcc (GCC) 4.9.0
GNU ld (GNU Binutils) 2.24

Also, note that I merged your tree with Linus' tree up to today (commit
3cfb2f7976a2 "Merge tag 'pci-v4.0-fixes-3' of
git://git.kernel.org/pub/scm/linux/kernel/git/helgaas/pci").

-- 
Cheers,
Stephen Rothwell                    [email-masked]